import { startDevServer } from '@cypress/webpack-dev-server';
import * as path from 'path';
import { AngularWebpackPlugin } from '@ngtools/webpack';

module.exports = {
    mode: 'development',
    module: {
        rules: [
            {
                test: /\.[jt]sx?$/,
                loader: '@ngtools/webpack',
            },
            {
                test: /(\.scss|\.sass)$/,
                use: ['raw-loader', 'sass-loader'],
            },
        ],
    },
    resolve: {
        extensions: ['.ts', '.js'],
    },
    plugins: [
        new AngularWebpackPlugin({
            tsconfig: path.join(__dirname, '../../tsconfig.cy.json'),
        }),
    ],
};

var webpackConfig = /*#__PURE__*/Object.freeze({
    __proto__: null
});

function devServer(config) {
    return startDevServer({
        options: config,
        webpackConfig
    });
}

/*
 * Public API Surface of angular-dev-server
 */

/**
 * Generated bundle index. Do not edit.
 */

export { devServer };
//# sourceMappingURL=cypress-angular-dev-server.js.map
